# Uses of Enum Class
org.bukkit.event.player.PlayerResourcePackStatusEvent.Status

Packages that use PlayerResourcePackStatusEvent.Status
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.player
`Events` relating to `players`.

## Uses of PlayerResourcePackStatusEvent.Status in org.bukkit.entity

Methods in org.bukkit.entity that return PlayerResourcePackStatusEvent.Status
Modifier and Type
Method
Description
`PlayerResourcePackStatusEvent.Status`
Player.`getResourcePackStatus()`

## Uses of PlayerResourcePackStatusEvent.Status in org.bukkit.event.player

Methods in org.bukkit.event.player that return PlayerResourcePackStatusEvent.Status
Modifier and Type
Method
Description
`@NotNull PlayerResourcePackStatusEvent.Status`
PlayerResourcePackStatusEvent.`getStatus()`
Gets the status of this pack.
`static PlayerResourcePackStatusEvent.Status`
PlayerResourcePackStatusEvent.Status.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlayerResourcePackStatusEvent.Status[]`
PlayerResourcePackStatusEvent.Status.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.event.player with parameters of type PlayerResourcePackStatusEvent.Status
Modifier
Constructor
Description
``
`PlayerResourcePackStatusEvent(@NotNull Player who, @NotNull PlayerResourcePackStatusEvent.Status resourcePackStatus)`
``
`PlayerResourcePackStatusEvent(Player who, PlayerResourcePackStatusEvent.Status resourcePackStatus, String hash)`
Deprecated.